| Flutter Impeller |

Public Member Functions | List of all members
impeller::CoverGeometry Class Referencefinal

A geometry that implements "drawPaint" like behavior by covering the entire render pass area. More...

`#include <cover_geometry.h>`

Inheritance diagram for impeller::CoverGeometry:

## Public Member Functions
| CoverGeometry ()
| ~CoverGeometry () override=default
bool | CoversArea (const Matrix &transform, const Rect &rect) const override
| Determines if this geometry, transformed by the given `transform`, will completely cover all surface area of the given `rect`. More...
bool | CanApplyMaskFilter () const override
Public Member Functions inherited from impeller::Geometry
virtual | ~Geometry ()
virtual GeometryResult::Mode | GetResultMode () const
virtual bool | IsAxisAlignedRect () const
virtual Scalar | ComputeAlphaCoverage (const Matrix &transform) const

## Additional Inherited Members
Static Public Member Functions inherited from impeller::Geometry
static std::unique_ptr< Geometry > | MakeFillPath (const flutter::DlPath &path, std::optional< Rect > inner_rect=std::nullopt)
static std::unique_ptr< Geometry > | MakeStrokePath (const flutter::DlPath &path, const StrokeParameters &stroke={})
static std::unique_ptr< Geometry > | MakeCover ()
static std::unique_ptr< Geometry > | MakeRect (const Rect &rect)
static std::unique_ptr< Geometry > | MakeOval (const Rect &rect)
static std::unique_ptr< Geometry > | MakeLine (const Point &p0, const Point &p1, const StrokeParameters &stroke)
static std::unique_ptr< Geometry > | MakeCircle (const Point &center, Scalar radius)
static std::unique_ptr< Geometry > | MakeStrokedCircle (const Point &center, Scalar radius, Scalar stroke_width)
static std::unique_ptr< Geometry > | MakeFilledArc (const Rect &oval_bounds, Degrees start, Degrees sweep, bool include_center)
static std::unique_ptr< Geometry > | MakeStrokedArc (const Rect &oval_bounds, Degrees start, Degrees sweep, const StrokeParameters &stroke)
static std::unique_ptr< Geometry > | MakeRoundRect (const Rect &rect, const Size &radii)
static std::unique_ptr< Geometry > | MakeRoundSuperellipse (const Rect &rect, Scalar corner_radius)
static Scalar | ComputeStrokeAlphaCoverage (const Matrix &entity, Scalar stroke_width)
| Compute an alpha value to simulate lower coverage of fractional pixel strokes. More...
static GeometryResult | ComputePositionGeometry (const ContentContext &renderer, const Tessellator::VertexGenerator &generator, const Entity &entity, RenderPass &pass)

## Detailed Description

A geometry that implements "drawPaint" like behavior by covering the entire render pass area.

Definition at line 14 of file cover_geometry.h.

## Constructor & Destructor Documentation

## ◆ CoverGeometry()

impeller::CoverGeometry::CoverGeometry | ( |  | ) |
| default

## ◆ ~CoverGeometry()

impeller::CoverGeometry::~CoverGeometry | ( |  | ) |
| override default

## Member Function Documentation

## ◆ CanApplyMaskFilter()

bool impeller::CoverGeometry::CanApplyMaskFilter | ( |  | ) | const
| override virtual

Reimplemented from impeller::Geometry.

Definition at line 46 of file cover_geometry.cc.

46 {
47 return false;
48 }

## ◆ CoversArea()

bool impeller::CoverGeometry::CoversArea | ( | const Matrix & | transform,
|  | const Rect & | rect
| ) |  | const
| override virtual

Determines if this geometry, transformed by the given `transform`, will completely cover all surface area of the given `rect`.

This is a conservative estimate useful for certain optimizations.

Returns
  `true` if the transformed geometry is guaranteed to cover the given `rect`. May return `false` in many undetected cases where the transformed geometry does in fact cover the `rect`.

Reimplemented from impeller::Geometry.

Definition at line 41 of file cover_geometry.cc.

42 {
43 return true;
44 }

The documentation for this class was generated from the following files:

- impeller/entity/geometry/cover_geometry.h
- impeller/entity/geometry/cover_geometry.cc